local KnifeGrinder = ...

-- Register Shoemaker job
KnifeGrinder:register({
	DataType = "JOB",
	Id = "KNIFEGRINDER",
	JobName = "KNIFEGRINDER_NAME",
	JobDescription = "KNIFEGRINDER_DESC",
	JobAnimation = "IDLE",
        WorkstationSetup = "AGENT_KNIFEGRINDER",
	IsLockedByDefault = false,
	UseWorkplaceBehavior = true,
        AssetJobProgression = "DEFAULT_JOB_PROGRESSION"        
})

KnifeGrinder:registerAssetId("models/knife.fbx/Prefab/knife", "KNIFEGRINDER_KNIFE_PREFAB")

KnifeGrinder:register({
	DataType = "AGENT_WORKSTATION_SETUP",
	Id = "AGENT_KNIFEGRINDER",
        ToolModel = "KNIFEGRINDER_KNIFE_PREFAB",
        ToolHandAnchor = "RIGHT",
--        ToolWorkAttachName = "SeedBag_Anchor",
--        ToolWalkAttachName = "SeedBag_Anchor",
	WorkAnimation = "GRINDSTONE"
})
